Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications Class Reference

This class is used by Criteria to describe which operators they support. More...

## Public Member Functions
| __construct ($operator, $valueFormat, $valueTypes=null, $valueCount=null)
| Creates a new Specifications object. More...

## Public Attributes
const | FORMAT_SINGLE = 'single'
| Criterion input type description constants. More...
const | FORMAT_ARRAY = 'array'
const | TYPE_INTEGER = 1
| Criterion input value type description constants. More...
const | TYPE_STRING = 2
const | TYPE_BOOLEAN = 4
| $operator
| Specified operator, as one of the Operator::* constants. More...
| $valueFormat
| $valueTypes
| $valueCount

## Detailed Description

This class is used by Criteria to describe which operators they support.

Instances of this class are returned in an array by the {

See also
  Criterion::getSpecifications()} method

Definition at line 14 of file Specifications.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::__construct | ( |  | $operator,
|  |  | $valueFormat,
|  |  | $valueTypes = `null`,
|  |  | $valueCount = `null`
| ) |  |

Creates a new Specifications object.

Parameters

  string | $operator | The specified operator, as one of the Operator::* constants
  string | $valueFormat | The accepted value format, either {

See also
  self::FORMAT_ARRAY} or {
  self::FORMAT_SINGLE}

Parameters

  int | $valueTypes | The supported value types, as a bit field of the {

See also
  self::TYPE_*} constants

Parameters

  int | $valueCount | The required number of values, when the accepted format is {

See also
  self::FORMAT_ARRAY}

Definition at line 72 of file Specifications.php.

References eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\$operator, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\$valueCount, eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\$valueFormat, and eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\$valueTypes.

## Member Data Documentation

## ◆ $operator

eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::$operator

Specified operator, as one of the Operator::* constants.

Definition at line 33 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\__construct().

## ◆ $valueCount

eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::$valueCount

Definition at line 62 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\__construct().

## ◆ $valueFormat

eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::$valueFormat

Definition at line 43 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\__construct().

## ◆ $valueTypes

eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::$valueTypes

Definition at line 52 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\__construct().

## ◆ FORMAT_ARRAY

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::FORMAT_ARRAY = 'array'

Definition at line 20 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\__construct(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Ancestor\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\CustomField\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Field\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\FieldRelation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LanguageCode\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationRemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ObjectStateId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ParentLocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\RemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\SectionId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Subtree\getSpecifications(), and eZ\Publish\API\Repository\Values\Content\Query\Criterion\UserMetadata\getSpecifications().

## ◆ FORMAT_SINGLE

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::FORMAT_SINGLE = 'single'

Criterion input type description constants.

Definition at line 19 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\__construct(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Ancestor\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\CustomField\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Field\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\FieldRelation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\FullText\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\IsFieldEmpty\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LanguageCode\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\IsMainLocation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationRemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\MapLocationDistance\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\MoreLikeThis\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ObjectStateId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ParentLocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\RemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\SectionId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Subtree\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\UserMetadata\getSpecifications(), and eZ\Publish\API\Repository\Values\Content\Query\Criterion\Visibility\getSpecifications().

## ◆ TYPE_BOOLEAN

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::TYPE_BOOLEAN = 4

Definition at line 28 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\IsFieldEmpty\getSpecifications(), and eZ\Publish\API\Repository\Values\Content\Query\Criterion\getValueTypeCheckCallback().

## ◆ TYPE_INTEGER

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::TYPE_INTEGER = 1

Criterion input value type description constants.

Used by {

See also
  getDescription()} to say which type of values an operator expects.

Definition at line 26 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\DateMetadata\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\FieldRelation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Depth\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\IsMainLocation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationRemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ObjectStateId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ParentLocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\RemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\SectionId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\UserMetadata\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Visibility\getSpecifications(), and eZ\Publish\API\Repository\Values\Content\Query\Criterion\getValueTypeCheckCallback().

## ◆ TYPE_STRING

const eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications::TYPE_STRING = 2

Definition at line 27 of file Specifications.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\Ancestor\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\FieldRelation\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LanguageCode\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\LocationRemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ObjectStateId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\ParentLocationId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\RemoteId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\SectionId\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\Subtree\getSpecifications(), eZ\Publish\API\Repository\Values\Content\Query\Criterion\UserMetadata\getSpecifications(), and eZ\Publish\API\Repository\Values\Content\Query\Criterion\getValueTypeCheckCallback().

The documentation for this class was generated from the following file:

- Specifications.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.